Metrics

Query Chart Ast

POST
/v0/project/{idOrSlug}/metrics/query

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v0/project/string/metrics/query" \  -H "Content-Type: application/json" \  -d '{    "version": 1,    "outputs": [      {        "id": "string",        "query": {          "type": "source",          "dataset": "events-web",          "field": "string"        }      }    ]  }'
{  "outputs": [    {      "id": "string",      "name": "string",      "dimensions": [        "string"      ],      "metadata": {        "iconSetId": "string",        "color": "string",        "colors": [          "string"        ],        "splitPattern": "string",        "splitField": "string"      },      "type": "scalar",      "value": "string"    }  ]}